Skip to navigation

Get recipient consumer disclosure

View as Markdown

Reserved: Retrieves the Electronic Record and Signature Disclosure, with HTML formatting, associated with the account.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

envelopeIdstringRequired

The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec

langCodestringRequired

The simple type enumeration the language used in the response. The supported languages, with the language value shown in parenthesis, are:Arabic (ar), Bulgarian (bg), Czech (cs), Chinese Simplified (zh_CN), Chinese Traditional (zh_TW), Croatian (hr), Danish (da), Dutch (nl), English US (en), English UK (en_GB), Estonian (et), Farsi (fa), Finnish (fi), French (fr), French Canada (fr_CA), German (de), Greek (el), Hebrew (he), Hindi (hi), Hungarian (hu), Bahasa Indonesia (id), Italian (it), Japanese (ja), Korean (ko), Latvian (lv), Lithuanian (lt), Bahasa Melayu (ms), Norwegian (no), Polish (pl), Portuguese (pt), Portuguese Brazil (pt_BR), Romanian (ro), Russian (ru), Serbian (sr), Slovak (sk), Slovenian (sl), Spanish (es),Spanish Latin America (es_MX), Swedish (sv), Thai (th), Turkish (tr), Ukrainian (uk) and Vietnamese (vi). Additionally, the value can be set to “browser” to automatically detect the browser language being used by the viewer and display the disclosure in that language.

recipientIdstringRequired

A local reference that senders use to map recipients to other objects, such as specific document tabs. Within an envelope, each recipientId must be unique, but there is no uniqueness requirement across envelopes. For example, many envelopes assign the first recipient a recipientId of 1.

Response

Successful response.
accountEsignIdstringOptional
A GUID identifying the account associated with the consumer disclosure
allowCDWithdrawstringOptional
Indicates whether the customer can withdraw their acceptance of the consumer disclosure.
allowCDWithdrawMetadataobjectOptional
changeEmailstringOptional
changeEmailOtherstringOptional
companyNamestringOptional
The name of the user's Company.
companyPhonestringOptional
The phone number of the company associated with the consumer disclosure.
copyCostPerPagestringOptional
copyFeeCollectionMethodstringOptional

Specifies the fee collection method for cases in which the customer requires paper copies of the document.

Maximum Length: 255 characters

copyRequestEmailstringOptional
customstringOptional
enableEsignstringOptional
esignAgreementstringOptional
The Electronic Record and Signature Disclosure text. The disclosure text includes the html formatting.
esignTextstringOptional
languageCodestringOptional
mustAgreeToEsignstringOptional
pdfIdstringOptional

Deprecated

The €œpdfId property in the consumer_disclosure PUT request is deprecated. For security reasons going forward, any value provided in the request packet must be ignored.

useBrandstringOptional
useConsumerDisclosureWithinAccountstringOptional
useConsumerDisclosureWithinAccountMetadataobjectOptional
withdrawAddressLine1stringOptional

Contains the first address line of the postal address to which a customer can send a consent withdrawal notification.

Maximum length: 100 characters.

withdrawAddressLine2stringOptional

Contains the second address line of the postal address to which a customer can send a consent withdrawal notification.

Maximum length: 100 characters.

withdrawByEmailstringOptional
Indicates whether the customer can withdraw consent by email.
withdrawByMailstringOptional
Indicates whether the customer can withdraw consent by postal mail.
withdrawByPhonestringOptional
Indicates whether the customer can withdraw consent by phone.
withdrawCitystringOptional

Contains the city of the postal address to which a customer can send a consent withdrawal notification.

Maximum length: 50 characters.

withdrawConsequencesstringOptional
Indicates the consequences of withdrawing consent.
withdrawEmailstringOptional

Contains the email address to which a customer can send a consent withdrawal notification.

Maximum length: 100 characters.

withdrawOtherstringOptional

Indicates other information need to withdraw consent.

Maximum length: 255 characters.

withdrawPhonestringOptional

Contains the phone number which a customer can call to register consent withdrawal notification.

Maximum length: 20 characters.

withdrawPostalCodestringOptional

Contains the postal code of the postal address to which a customer can send a consent withdrawal notification.

Maximum length: 20 characters.

withdrawStatestringOptional
Contains the state of the postal address to which a customer can send a consent withdrawal notification.

Errors

400
Bad Request Error